# Deep-Learning-Blocks
A library with customized PyTorch layers and model components.

## What's available for use:
### **Layers**:
* [Funnel ReLU](docs/layers.md#funnel-relu-frelu)
* [Flip-Invariant Conv2d](docs/layers.md#flip-invariant-conv2d-layer)
* [Squeeze-Excitation Block](docs/layers.md#squeeze-excitation-block)
* Custom Multi-Head Self-Attention

### **Loss Functions**:
* [Focal Loss](docs/losses.md#focal-loss)
* AUC Loss
* KL divergence Loss
  
### **Regularizer**:
* [Anti Correlation](docs/regularizer.md#anti-correlation)

### **Self-supervised Learning**:
* [Barlow Twin](docs/ssl.md#barlow-twin)
* [DINO](docs/ssl.md#dino)

## **Optimizers**:
* [SAN](docs/optimizers.md##sharpness-aware-minimization-sam)